# Kognetiks AI Summaries

**Kognetiks AI Summaries** - Effortless Excerpts, Power by Intelligence.

Elevate your website with **Kognetiks AI Summaries**, the ultimate plugin for crafting compelling, AI-generated excerpts that engage and inform. Seamlessly integrate cutting-edge artificial intelligence into your WordPress site to produce concise, insightful summaries for pages, posts, and other content — effortlessly enhancing user experience and site navigation.

Powered by industry-leading AI platforms like OpenAI, NVIDIA, and Anthropic, Kognetiks AI Summaries leverages advanced algorithms through robust APIs to deliver polished, impactful excerpts. Whether for your homepage, archive pages, or search results, these AI-crafted summaries ensure your visitors encounter clear, captivating content at every turn. Stay ahead with innovation that makes your content shine.

## Documentation

## What's new in Version 1.0.1

* **DeepSeek API Integration**: Added support for DeepSeek's API to provide advanced conversational capabilities for the chatbot.
* **Bug Fixes**: Resolved minor issues and bugs identified after release of version 1.0.0.

## External Services

This plugin relies on external AI services for generating summaries of your pages and posts. It sends your content to a third-party AI provider for summarization. Once summarized, the summary excerpt is stored locally in your database and is not regenerated again unless there has been a change indicated by the modification date of your content. By using this plugin, you agree to abide by each service’s terms of service and privacy policy:

- **OpenAI**: [Terms of Use](https://platform.openai.com/terms) | [Privacy Policy](https://openai.com/policies/privacy-policy/)
- **NVIDIA**: [Terms of Use](https://www.nvidia.com/en-us/about-nvidia/nv-accounts/) | [Privacy Policy](https://www.nvidia.com/en-us/about-nvidia/privacy-policy/)
- **Anthropic**: [Terms of Service](https://www.anthropic.com/legal/consumer-terms) | [Privacy Policy](https://docs.anthropic.com/en/docs/legal-center/privacy)
- **DeepSeek**: [Terms of Use](https://chat.deepseek.com/downloads/DeepSeek%20User%20Agreement.html) | [Privacy Policy](https://chat.deepseek.com/downloads/DeepSeek%20Privacy%20Policy.html)

**IMPORTANT**:

- This plugin requires an API key from OpenAI, NVIDIA, or Anthropic to function. Without an API key, the plugin cannot process summaries.

- Obtain API keys here:

    - [OpenAI API Keys](https://platform.openai.com/account/api-keys)
    - [NVIDIA API Keys](https://developer.nvidia.com/nim)
    - [Anthropic API Keys](https://www.anthropic.com/)
    - [DeepSeek API Keys](https://platform.deepseek.com/sign_in)

- By entering an API key from the AI provider of your choice and activating the plugin, you:

    - Consent to sending your content to the selected AI provider for processing and summarization.
    - Agree to abide by their terms of service, pricing, and privacy policy.
    - Acknowledge that your data, including text submitted, may be transferred to and processed by the AI platform.

**NOTE**: If no API key is provided, or if communication with the selected service fails, the plugin will not generate summaries.

## License

- License: GPLv3 or later
- License URI: https://www.gnu.org/licenses/gpl-3.0.html

## Support

💬 Looking for **plugin support**, please visit [https://kognetiks.com/plugin-support/](https://kognetiks.com/plugin-support/).

## Disclaimer

WordPress, OpenAI, ChatGPT, NVIDIA, NIM, Anthropic, Claude, DeepSeek, and related trademarks are the property of their respective owners. Kognetiks is an independent entity and is not affiliated with, endorsed by, or sponsored by WordPress Foundation, OpenAI, NVIDIA, Anthropic or DeepSeek.

## Thank you for using Kognetiks AI Summaries

Visit us at [Kognetiks.com](https://kognetiks.com/) for more information.